com.io7m.r2.core.cursors

## Interface R2VertexCursorProducerInfoType

- All Known Implementing Classes:
    R2VertexCursorP32UNT16, R2VertexCursorPUNT16, R2VertexCursorPUNT32

      @ThreadSafe
      public interface R2VertexCursorProducerInfoType

  Information about cursors that can be produced by a `R2VertexCursorProducerType` implementation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jcanephora.core.JCGLScalarType` | `normalElementType()`
    `long` | `normalOffset()`
    `com.io7m.jcanephora.core.JCGLScalarType` | `positionElementType()`
    `long` | `positionOffset()`
    `com.io7m.jcanephora.core.JCGLScalarType` | `tangent4ElementType()`
    `long` | `tangent4Offset()`
    `com.io7m.jcanephora.core.JCGLScalarType` | `uvElementType()`
    `long` | `uvOffset()`
    `long` | `vertexSize()`

- - ### Method Detail

    - #### positionElementType

          com.io7m.jcanephora.core.JCGLScalarType positionElementType()

      Returns:
        The scalar type used to hold the elements of position vectors

    - #### positionOffset

          long positionOffset()

      Returns:
        The offset in octets of the position vector from the start of each vertex

    - #### normalElementType

          com.io7m.jcanephora.core.JCGLScalarType normalElementType()

      Returns:
        The scalar type used to hold the elements of normal vectors

    - #### normalOffset

          long normalOffset()

      Returns:
        The offset in octets of the normal vector from the start of each vertex

    - #### uvElementType

          com.io7m.jcanephora.core.JCGLScalarType uvElementType()

      Returns:
        The scalar type used to hold the elements of UV vectors

    - #### uvOffset

          long uvOffset()

      Returns:
        The offset in octets of the UV vector from the start of each vertex

    - #### tangent4ElementType

          com.io7m.jcanephora.core.JCGLScalarType tangent4ElementType()

      Returns:
        The scalar type used to hold the elements of tangent vectors

    - #### tangent4Offset

          long tangent4Offset()

      Returns:
        The offset in octets of the tangent4 vector from the start of each vertex

    - #### vertexSize

          long vertexSize()

      Returns:
        The size in octets of one vertex

Copyright © 2016 <code@io7m.com> http://io7m.com